Delete Contact
curl --request POST \
--url https://api.birdeye.com/resources/v1/customer-v2/external/deleteCustomer \
--header 'Content-Type: application/json' \
--data '
{
"id": 115339282,
"businessIds": [
161322681923726,
161322681923727
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/customer-v2/external/deleteCustomer"
payload = {
"id": 115339282,
"businessIds": [161322681923726, 161322681923727]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({id: 115339282, businessIds: [161322681923726, 161322681923727]})
};
fetch('https://api.birdeye.com/resources/v1/customer-v2/external/deleteCustomer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 5043,
"message": "Contact not found for the given request"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1532,
"message": "Business id is missing or invalid."
}Contact
Delete Contact
Customers can be deleted using Delete Contact API.
POST
/
v1
/
customer-v2
/
external
/
deleteCustomer
Delete Contact
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Query Parameters
Id of the business.
Body
application/json
Response
OK
⌘I